Subject: [PATCH 1/2 v2] spi: s3c64xx: use "cs-gpios" from spi node instead of "cs-gpio"

From: [email-masked] (Tomasz Figa)
Date: Tue, 10 Jun 2014 21:59:59 +0200

On 10.06.2014 21:58, Doug Anderson wrote:
> Tomasz,
> 
> On Tue, Jun 10, 2014 at 12:49 PM, Tomasz Figa <[email-masked]> wrote:
>> This is wrong. The "cs-gpios" property is supposed to be an array,
>> indexed by chip select number of SPI devices (indicated by their "reg"
>> properties).
>>
>> Moreover, is there a need to parse this manually in this driver? I can
>> see respective parsing code in of_spi_register_master().
> 
> I noticed this too (see my response), but I was confused about the
> fact that nobody else uses the array created by
> of_spi_register_master().  Any idea why?

Hmm, I can see of_spi_register_master() assigning allocated pointer to
master->cs_gpios, which is then used in spi_add_device() as follows:

	if (master->cs_gpios)
		spi->cs_gpio = master->cs_gpios[spi->chip_select];

Best regards,
Tomasz